Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007039 [DCSS] Bug Report crash always 2013-05-12 16:12 2013-05-14 18:39
Reporter Konebred View Status public  
Assigned To mumra
Priority normal Resolution done  
Status resolved   Product Branch 0.12 ancient branch
Summary 0007039: Game crashes whenever this character tries to go deeper in the abyss.
Description Every time I try to go through a portal to go deeper in the abyss this crash happens. I can enter the abyss fine, just can't go deeper. The character is an import from the last .11 version, if that makes a difference.




ASSERT(!at_branch_bottom()) in 'stairs.cc' at line 554 failed.

Version: Dungeon Crawl Stone Soup 0.12.1
Platform: Windows
Bits: 32
Game mode: normal
Tiles: yes

Command line: C:\Program Files (x86)\Crawl\crawl-tiles.exe

RC options:
restart_after_game = true


Unable to get stack trace on this platform.
Unable to get stack trace on this platform.

Compilation info:
<<<<<<<<<<<
Compiled with GCC 4.6.3 on May 5 2013 at 04:22:01
Build platform: x86_64-linux-gnu
Platform: i686-w64-mingw32
CFLAGS: -O2 -flto=jobserver -fwhole-program -pipe -Wall -Wformat-security -DWINMM_PLAY_SOUNDS -DUSE_TILE -DUSE_TILE_LOCAL -DUSE_SDL -DUSE_GL -DUSE_FT -Wundef -Wno-array-bounds -Wno-parentheses -Wno-unused-parameter -Wwrite-strings -Wshadow -Wuninitialized -Icontrib/install/i686-w64-mingw32/include -Iutil -I. -Irltiles -Icontrib/install/i686-w64-mingw32/include/SDL -Icontrib/install/i686-w64-mingw32/include/freetype2 -DWIZARD -DASSERTS -DPROPORTIONAL_FONT="dat/tiles/DejaVuSans.ttf" -DMONOSPACED_FONT="dat/tiles/DejaVuSansMono.ttf" -DREGEX_PCRE -DCLUA_BINDINGS -DSAVE_DIR_PATH="~/crawl"
LDFLAGS: -O2 -flto=jobserver -fwhole-program
>>>>>>>>>>>

Place info:
branch = 22, depth = 1

Level id: Abyss
Abyssal state:
    major_coord = (310453877,706393909)
    seed = 0x7374dec9
    depth = 520347709
    phase = 0.82
    nuke_all = 0
Level build method = abyss, level layout type = abyss, absdepth0 = 24
Level vaults:
    hangedman_elemental_corridor
    evilmike_abyss_exit_1

Markers:
<<<<<<<<<<<<<<<<<<<<<<
>>>>>>>>>>>>>>>>>>>>>>

Messages:
<<<<<<<<<<<<<<<<<<<<<<
You mangle the greater mummy!!
The greater mummy is heavily damaged.
You block the wight's attack. You block the ghoul's attack. The ghoul claws you but does no damage.
The greater mummy calls on the powers of darkness!
Your body is wracked with pain!
You claw the greater mummy!
The greater mummy is severely damaged.
You block the wight's attack.
The greater mummy calls on the powers of darkness!
Your body is wracked with pain!
* * * LOW HITPOINT WARNING * * *
You see here a stone.
There is a stone staircase leading up here.
You see here 2 stones.
You block the ghoul's attack. The ghoul claws you but does no damage.
The greater mummy gestures wildly while chanting.
You climb upwards.
You sense a powerful magical force warping space.
There is a stone staircase leading down, spattered with blood here.
You eviscerate the greater mummy!!!
The greater mummy is almost destroyed.
You block the ghoul's attack.
You claw the greater mummy!
The greater mummy is almost destroyed.
The greater mummy gestures wildly while chanting.
You hit the greater mummy.
The greater mummy is almost destroyed.
You block the ghoul's attack.
You hit the greater mummy.
The greater mummy is almost destroyed.
You block the greater mummy's attack. You block the ghoul's attack. You block the ghoul's attack.
The red devil hits you but does no damage.
Your gold dragon armour prevents you from hitting the greater mummy.
The greater mummy is almost destroyed.
The greater mummy calls on the powers of darkness!
Your body is wracked with pain!
* * * LOW HITPOINT WARNING * * *
You eviscerate the greater mummy!!!
You destroy the greater mummy!
You feel extremely nervous for a moment...
Your body is wracked with pain!
* * * LOW HITPOINT WARNING * * *
You block the ghoul's attack. The ghoul completely misses you.
The red devil hits you but does no damage.
You feel better. You block the ghoul's attack. The ghoul claws you!
* * * LOW HITPOINT WARNING * * *
You feel your flesh rotting away!
The red devil barely misses you.
Jiyva's power touches on your attributes.
You feel better. You block the ghoul's attack. You block the ghoul's attack.
The red devil hits you from afar with a trident.
* * * LOW HITPOINT WARNING * * *
You feel better. You block the ghoul's attack. You block the ghoul's attack.
The red devil hits you but does no damage.
A guardian mummy comes into view.
Unknown command.
You remove your ring of sustain abilities.
You feel slightly jumpy.
b - a ring of teleportation (right claw)
Your surroundings suddenly seem different.
You remove your ring of teleportation.
You start resting.
A guardian mummy comes into view.
There is a stone staircase leading up here.
You climb upwards.
You sense a powerful magical force warping space.
There is a stone staircase leading down here.
You start resting.
You start resting.
A flying skull comes into view.
A flying skull is nearby!
The flying skull gives a hideous shriek!
You climb downwards.
You sense a powerful magical force warping space.
There is a stone staircase leading up here.
You start resting.
A guardian mummy comes into view. It is wielding a spear.
The guardian mummy throws a spear. You block the spear.
You see here a spear.
The guardian mummy fails to trigger a blade trap.
You block the guardian mummy's attack.
You block the guardian mummy's attack.
You mangle the guardian mummy!!
You bite the guardian mummy, but do no damage.
The guardian mummy is heavily damaged.
You hit the guardian mummy but do no damage.
Your bite misses the guardian mummy.
The guardian mummy is heavily damaged.
You block the guardian mummy's attack.
You closely miss the guardian mummy.
The guardian mummy is heavily damaged.
You eviscerate the guardian mummy!!!
You destroy the guardian mummy!
You feel extremely nervous for a moment...
You feel yourself slow down. You feel horribly lethargic.
You now have 4067 gold pieces (gained 36).
There is an open door here.
You see here a spear.
You start resting.
Jiyva's power touches on your attributes.
You feel yourself speed up.
X - a ring of sustain abilities (right claw)
Jiyva says: Divide and consume!
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
Have to go through Tomb:1. Continue?
You hear a distant slurping noise.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You hear a distant slurping noise.
You feel a little less hungry.
There is an open door here.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
There is an open door here.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
There is an open door here.
There is a stone staircase leading up here.
You climb upwards.
You sense a powerful magical force warping space.
There is a stone staircase leading down here.
Things that are here:
a spear
You hear a distant "Zot"!
You see here a spear.
Jiyva's power touches on your attributes.
(D) Dungeon (T) Temple (O) Orcish Mines (E) Elven Halls
(L) Lair (A) Shoals (P) Snake Pit (M) Slime Pits
(V) Vaults (B) Hall of Blades (C) Crypt (W) Tomb
(U) Hell (I) Dis (G) Gehenna (X) Cocytus
(Y) Tartarus (Z) Zot
Where to? (Enter - Tomb:2 @ (x,y), ? - help)
Jiyva's power touches on your attributes.
(D) Dungeon (T) Temple (O) Orcish Mines (E) Elven Halls
(L) Lair (A) Shoals (P) Snake Pit (M) Slime Pits
(V) Vaults (B) Hall of Blades (C) Crypt (W) Tomb
(U) Hell (I) Dis (G) Gehenna (X) Cocytus
(Y) Tartarus (Z) Zot
Where to? (Enter - Tomb:2 @ (x,y), ? - help)
Jiyva gurgles merrily.
Jiyva's power touches on your attributes.
(D) Dungeon (T) Temple (O) Orcish Mines (E) Elven Halls
(L) Lair (A) Shoals (P) Snake Pit (M) Slime Pits
(V) Vaults (B) Hall of Blades (C) Crypt (W) Tomb
(U) Hell (I) Dis (G) Gehenna (X) Cocytus
(Y) Tartarus (Z) Zot
Where to? (Enter - Tomb:2 @ (x,y), ? - help)
There is a stone staircase leading down here.
You climb downwards.
You sense a powerful magical force warping space.
You hear a distant slurping noise.
There is a stone staircase leading up here.
There is an open door here.
The guardian mummy throws a stone. You block the stone.
There is an open door here.
You see here a stone.
You found a Zot trap! The guardian mummy closely misses you.
You claw the guardian mummy! Your bite misses the guardian mummy.
The guardian mummy is moderately damaged.
You closely miss the guardian mummy.
The guardian mummy is moderately damaged.
You block the guardian mummy's attack.
You mangle the guardian mummy!!
The guardian mummy is almost destroyed.
You block the guardian mummy's attack.
You claw the guardian mummy!
You destroy the guardian mummy!
You feel extremely nervous for a moment...
Pain shoots through your body!
You see here 12 stones.
There is an open door here.
You found a spear trap!
There is a stone staircase leading down, spattered with blood here.
You climb downwards.
You sense a powerful magical force warping space.
There is a stone staircase leading up here.
You see here 2 stones.
You see here a stone.
There is a stone staircase leading up, spattered with blood here.
You see here a dart.
Found a chain mail.
f - 2 scrolls of fog (gained 1)
There is an open door here.
Found 134 gold pieces and a scimitar.
Found 109 gold pieces and a thin runed staff.
You now have 4078 gold pieces (gained 11).
Found 108 gold pieces, a hardcover book, a meat ration and 6 bolts.
You now have 4102 gold pieces (gained 24).
You found a blade trap!
Found 28 gold pieces.
You now have 4130 gold pieces (gained 28).
You found a bolt trap!
You found a blade trap!
You found a blade trap!
You are feeling hungry.
Jiyva says: Divide and consume!
u - 15 meat rations (gained 1)
Use which ability? (? or * to list)
You feel slightly more hungry.
You hear a slurping noise.
You feel a little less hungry. You feel your power returning.
You hear a slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a slurping noise.
Jiyva alters your body.
You feel more energetic.
You feel a little less hungry. You feel your power returning.
You hear a slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You hear a distant slurping noise.
You feel a little less hungry.
You found a Zot trap!
You hear a distant slurping noise.
You feel a little less hungry.
Do you really want to walk into the Zot trap? (Confirm with "yes".)
Okay, then.
You found a blade trap!
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
There is an open door here.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You hear a distant slurping noise.
Jiyva alters your body.
Your muscles feel sore.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva alters your body.
You feel as though nothing has changed.
Jiyva alters your body.
Your body returns to its normal consistency.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
A mummy comes into view.
You found a blade trap! You found a bolt trap!
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
Found 47 gold pieces.
A guardian mummy comes into view.
There is an open door here.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
Found 40 gold pieces.
A guardian mummy comes into view.
You found a Zot trap! You found a bolt trap!
Found 41 gold pieces, an amulet of clarity, a crooked smoking staff and a short smoking staff.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva alters your body.
You feel stupid.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry. You block the guardian mummy's attack.
You hit the guardian mummy but do no damage.
You block the guardian mummy's attack.
You mangle the guardian mummy!!
The guardian mummy is severely damaged.
You mangle the guardian mummy!!
You destroy the guardian mummy!
You feel extremely nervous for a moment...
You shiver with cold.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry. A bolt hits the guardian mummy!
You eviscerate the guardian mummy!!!
You destroy the guardian mummy!
You feel extremely nervous for a moment...
Pain shoots through your body. You block the mummy's attack.
You mangle the mummy!!
You destroy the mummy!
You feel nervous for a moment...
Your +2 cloak of preservation glows black for a moment.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
A mummy priest comes into view.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
Found a glowing trident, a paperback book and 26 gold pieces.
Found seven items.
You hear a slurping noise.
Jiyva alters your body.
You feel a strange attunement to the structure of the dungeons.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
Found four items.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
Found five items.
You barely miss the mummy priest. Your bite misses the mummy priest.
You hear a slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You barely miss the mummy priest.
The mummy priest hits you but does no damage.
Unknown command.
You hit the mummy priest but do no damage.
You hear a slurping noise.
You feel a little less hungry.
You mangle the mummy priest!!
The mummy priest is moderately damaged.
You block the mummy priest's attack.
Unknown command.
You eviscerate the mummy priest!!! You bite the mummy priest! The mummy priest is splashed with acid.
The mummy priest is almost destroyed.
You hear a distant slurping noise.
You feel a little less hungry.
Use which ability? (? or * to list)
You offer a prayer to Jiyva. A nearby slime joins your prayer.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
The mummy priest invokes the aid of its god against you.
Something smites you!
You hit the mummy priest but do no damage.
The mummy priest is almost destroyed.
You mangle the mummy priest!!
You destroy the mummy priest!
You feel extremely nervous for a moment...
Something reaches out for you...
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry. You feel a little better.
The soul eater hits you but does no damage.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry. You feel a little better.
You eviscerate the soul eater!!!
You kill the soul eater!
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry. You feel a little better.
You hear a distant slurping noise.
You feel a little less hungry. You feel a little better.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
Found a plain deck of cards.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
Found an ancient chain mail and a glowing leather armour.
You hear a distant slurping noise.
You feel a little less hungry.
Found a ring of protection from fire and 25 gold pieces.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
Found a glowing elven bow and 27 gold pieces.
j - a fine bronze ring
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva alters your body.
You feel slightly disoriented.
You feel a little less hungry.
k - a twitching steel ring
You see here a lamp of fire.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You swap places.
The jelly is no longer paralysed.
You hear a distant slurping noise.
You feel a little less hungry.
Your prayer is over.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
Identify which item? (? for menu, Esc to quit)
As you read the scroll of identify, it crumbles to dust.
k - the ring of Vixzav {-Tele Str+4 Stlth+}
Identify which item? (? for menu, Esc to quit)
j - the ring of the Thistle {Ice +Blink +Rage Int+4}
You don't have any unidentified items.
You drop the ring of the Thistle {Ice +Blink +Rage Int+4}.
You drop the ring of Vixzav {-Tele Str+4 Stlth+}.
You hear a slurping noise.
You feel a little less hungry.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
A huge blade swings just past you!
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
There is a blade trap here.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva alters your body.
You feel as though nothing has changed.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
There is an open door here.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
Found 7 sling bullets.
Found 9 arrows.
Found a scroll of curse weapon.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
Found a lychee.
You hear a splatter.
You hear a distant slurping noise.
Jiyva alters your body.
You feel less energetic.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
j - a lychee
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
Found 9 poisoned needles.
You hear a distant slurping noise.
You feel a little less hungry.
Found a golden rune of Zot.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
Jiyva's power touches on your attributes.
You hear a distant slurping noise. You feel a little less hungry. You hear a distant slurping noise.
You feel a little less hungry.
Unknown command.
You hear a distant slurping noise.
Jiyva alters your body.
You feel stronger.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You see here 9 poisoned needles.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You see here a golden rune of Zot.
You pick up the golden rune and feel its power.
You now have 14 runes.
Press } to see all the runes you have collected.
You sense the disappearance of a powerful magical force which warped space.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant "Zot"!
You hear a distant "Zot"!
An eldritch tentacle comes into view.
Jiyva's power touches on your attributes.
You see here a stone.
You block the eldritch tentacle's attack.
You block the eldritch tentacle's attack.
The eldritch tentacle barely misses you.
You block the eldritch tentacle's attack.
The eldritch tentacle closely misses you.
There is a stone staircase leading up, spattered with blood here.
You see here a stone.
There is a stone staircase leading up here.
You see here 2 stones.
You climb upwards.
There is a stone staircase leading down, spattered with blood here.
Really put on s - the cursed ring of Pnal {Hunger- +Rage rN+}?
You remove your ring of sustain abilities.
Oops, that ring feels deathly cold.
s - the cursed ring of Pnal (right claw) {Hunger- +Rage rN+}
Really put on d - the cursed amulet "Goseux" {Stasis Acc+4 Stlth--}?
You remove your amulet of resist mutation.
Oops, that amulet feels deathly cold.
d - the cursed amulet "Goseux" (around neck) {Stasis Acc+4 Stlth--}
As you read the scroll of remove curse, it crumbles to dust.
You feel as if something is helping you.
Really put on e - a cursed +5,+5 ring of slaying?
Wearing a cursed +5,+5 ring of slaying.
You're wearing two rings. Remove which one? (q/s/</>/Esc)
 < or q - a ring of regeneration
 > or s - the ring of Pnal {Hunger- +Rage rN+}
You remove your ring of regeneration.
Oops, that ring feels deathly cold.
e - a cursed +5,+5 ring of slaying (left claw)
Really put on l - a cursed ring of flight?
You remove the ring of Pnal {Hunger- +Rage rN+}.
You feel buoyant. Oops, that ring feels deathly cold.
l - a cursed ring of flight (right claw)
Really put on V - a cursed amulet of clarity?
You remove the amulet "Goseux" {Stasis Acc+4 Stlth--}.
Oops, that amulet feels deathly cold.
V - a cursed amulet of clarity (around neck)
As you read the scroll of remove curse, it crumbles to dust.
You feel as if something is helping you.
Really put on K - a cursed ring of protection from magic?
Wearing a cursed ring of protection from magic.
You're wearing two rings. Remove which one? (e/l/</>/Esc)
 < or e - a +5,+5 ring of slaying; > or l - a ring of flight
Okay, then.
Really put on B - a cursed ring of teleport control?
Wearing a cursed ring of teleport control.
You're wearing two rings. Remove which one? (e/l/</>/Esc)
 < or e - a +5,+5 ring of slaying; > or l - a ring of flight
You remove your +5,+5 ring of slaying.
Oops, that ring feels deathly cold.
B - a cursed ring of teleport control (left claw)
Really put on v - a cursed +6,+5 ring of slaying?
You remove your ring of flight.
Oops, that ring feels deathly cold.
v - a cursed +6,+5 ring of slaying (right claw)
Really wield x - a cursed +4 rod of destruction [lightning,fireball,iron] (11/11)?
It sticks to your claw!
x - a cursed +4 rod of destruction [lightning,fireball,iron] (11/11) (weapon)
As you read the scroll of remove curse, it crumbles to dust.
You feel as if something is helping you.
You are now empty-clawed.
You drop a +4 rod of destruction [lightning,fireball,iron] (11/11).
x - a +4 rod of destruction [lightning,fireball,iron] (11/11)
You drop a cursed ring of protection from cold.
You drop a cursed ring of protection from magic.
Really put on N - a cursed ring of see invisible?
Wearing a cursed ring of see invisible.
You're wearing two rings. Remove which one? (B/v/</>/Esc)
 < or B - a ring of teleport control; > or v - a +6,+5 ring of slaying
You remove your ring of teleport control.
Oops, that ring feels deathly cold.
N - a cursed ring of see invisible (left claw)
Really put on c - a cursed ring of regeneration?
You remove your +6,+5 ring of slaying.
Oops, that ring feels deathly cold.
c - a cursed ring of regeneration (right claw)
Really wear i - the cursed +4 dragonskin cloak?
You start removing your armour.
You continue taking off your +2 cloak of preservation.
You finish taking off your +2 cloak of preservation.
You start putting on your armour.
You continue putting on the cursed +4 dragonskin cloak.
You finish putting on the cursed +4 dragonskin cloak.
You feel oddly protected from the elements.
Oops, that feels deathly cold.
As you read the scroll of remove curse, it crumbles to dust.
You feel as if something is helping you.
You start removing your armour.
You continue taking off the +4 dragonskin cloak.
You finish taking off the +4 dragonskin cloak.
You no longer feel protected from the elements.
You start putting on your armour.
You continue putting on your +2 cloak of preservation.
You finish putting on your +2 cloak of preservation.
Search for what [Enter for "restore", or ? for help]? shield
You remove your ring of regeneration.
You remove your ring of see invisible.
s - the ring of Pnal (left claw) {Hunger- +Rage rN+}
v - a +6,+5 ring of slaying (right claw)
You remove your +6,+5 ring of slaying.
You remove the ring of Pnal {Hunger- +Rage rN+}.
You feel slightly jumpy.
b - a ring of teleportation (left claw)
B - a ring of teleport control (right claw)
Use which ability? (? or * to list)
You feel strangely unstable. You feel quite a bit less full.
You may choose your destination (press '.' or delete to select).
Expect minor deviation.
You are very lightly contaminated with residual magic.
There is a stone staircase leading up here.
You climb upwards.
There is a stone staircase leading down here.
Use which ability? (? or * to list)
You feel strangely unstable.
You start resting.
You may choose your destination (press '.' or delete to select).
Expect minor deviation.
There is a staircase back to the Crypt here.
You climb upwards. Welcome back to the Crypt!
There is a staircase to the Tomb here.
You aren't carrying or standing over any spellbooks.
Search for what [Enter for "shield", or ? for help]? abyss
Magic restored.
There is a stone staircase leading up here.
You climb upwards.
There is a stone staircase leading down here.
Your magical contamination has completely faded away.
There is a staircase back to the Vaults here.
You climb upwards. Welcome back to the Vaults!
There is a staircase to the Crypt here.
There is an open door here.
There is a stone staircase leading up here.
You climb upwards.
There is a stone staircase leading down here.
Jiyva says: Divide and consume!
There is a stone staircase leading up, spattered with blood here.
You climb upwards.
There is a stone staircase leading down here.
A hill giant comes into view. It is wielding a giant spiked club.
The hill giant shouts!
The hill giant hits you but does no damage.
You barely miss the hill giant.
You claw the hill giant!
The hill giant begins to bleed from its wounds!
The hill giant is lightly wounded.
You block the hill giant's attack.
You eviscerate the hill giant!!!
You bite the hill giant, but do no damage.
The hill giant is almost dead.
You mangle the hill giant!!
You kill the hill giant!
Things that are here:
a giant spiked club; a hill giant corpse
You start butchering the hill giant corpse with your claws.
You continue butchering the corpse.
You finish ripping the hill giant corpse into pieces.
k - 6 chunks of hill giant flesh
You see here a giant spiked club.
This raw flesh tastes great.
You may choose your destination (press '.' or delete to select).
Expect minor deviation.
Are you sure you want to cancel this teleport?
You are very lightly contaminated with residual magic.
You continue eating.
This raw flesh tastes great.
You continue eating.
Search for what [Enter for "abyss", or ? for help]? recharge
Can't find anything matching that.
Search for what [Enter for "recharge", or ? for help]? heal
You're too full to eat anything.
You remove your ring of teleportation.
s - the ring of Pnal (left claw) {Hunger- +Rage rN+}
Wearing a +6,+5 ring of slaying.
You're wearing two rings. Remove which one? (s/B/</>/Esc)
 < or s - the ring of Pnal {Hunger- +Rage rN+}
 > or B - a ring of teleport control
You remove your ring of teleport control.
v - a +6,+5 ring of slaying (right claw)
(D) Dungeon (T) Temple (O) Orcish Mines (E) Elven Halls
(L) Lair (A) Shoals (P) Snake Pit (M) Slime Pits
(V) Vaults (B) Hall of Blades (C) Crypt (W) Tomb
(U) Hell (I) Dis (G) Gehenna (X) Cocytus
(Y) Tartarus (Z) Zot
Where to? (Enter - D:25 @ (x,y), ? - help)
There is a stone staircase leading up here.
You climb upwards.
Level annotation: exclusion: orange crystal statue
There is a stone staircase leading down here.
There is a staircase back to the Dungeon here.
You climb upwards. Welcome back to the Dungeon!
There is a staircase to the Vaults here.
Things that are here:
a scroll of amnesia; 5 scrolls of enchant weapon I; a scroll of recharging
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
There is a stone staircase leading down, spattered with blood here.
You climb downwards.
There is a stone staircase leading up here.
Your magical contamination has completely faded away.
Jiyva gurgles merrily.
Jiyva's power touches on your attributes.
(D) Dungeon (T) Temple (O) Orcish Mines (E) Elven Halls
(L) Lair (A) Shoals (P) Snake Pit (M) Slime Pits
(V) Vaults (B) Hall of Blades (C) Crypt (W) Tomb
(U) Hell (I) Dis (G) Gehenna (X) Cocytus
(Y) Tartarus (Z) Zot
Where to? (Enter - D:25 @ (x,y), ? - help)
You hear a distant slurping noise.
You feel a little less hungry.
You hear a distant slurping noise.
You feel a little less hungry.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a distant slurping noise.
Jiyva appreciates your sacrifice.
You feel a little less hungry.
You hear a splatter.
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
Jiyva says: Divide and consume!
Jiyva's power touches on your attributes.
(D) Dungeon (T) Temple (O) Orcish Mines (E) Elven Halls
(L) Lair (A) Shoals (P) Snake Pit (M) Slime Pits
(V) Vaults (B) Hall of Blades (C) Crypt (W) Tomb
(U) Hell (I) Dis (G) Gehenna (X) Cocytus
(Y) Tartarus (Z) Zot
Where to? (Enter - D:25 @ (x,y), ? - help)
Something in your inventory has become rotten. (slot k)
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
There is an open door here.
There is an open door here.
Things that are here:
19 arrows; an uncursed longbow
There is an open door here.
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
Things that are here:
13 bolts of frost; 27 bolts; an uncursed crossbow; an uncursed crossbow
Things that are here:
14 bolts; an uncursed crossbow
You see here a bolt.
You see here a bolt.
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
There is an open door here.
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
All of the chunks of flesh in your inventory have completely rotted away.
There is a stone staircase leading down here.
There is a one-way gate to the infinite horrors of the Abyss here.
Save game and exit?
Welcome back, Human the Troll Monk.
Slime for the Slime God!
Press ? for a list of commands and other information.
There is a one-way gate to the infinite horrors of the Abyss here.
If you enter this portal you will not be able to return immediately. Continue?
[Y]es or [N]o only, please.
If you enter this portal you will not be able to return immediately. Continue?
You enter the Abyss!
To return, you must find a gate leading back.
You sense a powerful magical force warping space.
Found a lychee.
j - 2 lychees (gained 1)
Found 31 gold pieces.
Found a gateway leading deeper into the Abyss.
Found 12 gold pieces.
You now have 4161 gold pieces (gained 31).
There is a gateway leading deeper into the Abyss here.
Save game and exit?
Welcome back, Human the Troll Monk.
Slime for the Slime God!
Press ? for a list of commands and other information.
Jiyva says: Divide and consume!
There is a gateway leading deeper into the Abyss here.

>>>>>>>>>>>>>>>>>>>>>>

Game state:

mouse_enabled: 0, waiting_for_command: 0, terminal_resized: 0
io_inited: 1, need_save: 1, saving_game: 0, updating_scores: 0:
seen_hups: 0, map_stat_gen: 0, type: 1, arena_suspended: 0

prev_cmd = CMD_GO_DOWNSTAIRS
repeat_cmd = CMD_NO_CMD

Player:
{{{{{{{{{{{
Name: [Human]
Species: Troll
Job: Monk

class_name: Monk

HP: 295/295; mods: -30/11
MP: 38/38; mods: -30/-1
Stats: 36 (36) 11 (11) 8 (8)
Position: (27, 35), god: Jiyva (15), turn_is_over: 0, banished: 0
Standing on/in/over feature: gateway leading deeper into the Abyss

Delayed (1):
    type: 14
    duration: 0
    parm1: 0
    parm2: 0
    started: 1


Skills (mode: manual)
Name | can_train | train | training | level | points | progress
Fighting | X | 0 | 0 | 27 | 42072 | 0/0
Short Blades | | 0 | 0 | 0 | 0 | 0/70
Long Blades | | 0 | 0 | 0 | 0 | 0/70
Axes | | 0 | 0 | 0 | 0 | 0/70
Maces & Flails | X | 0 | 0 | 0 | 0 | 0/59
Polearms | | 0 | 0 | 0 | 0 | 0/70
Staves | | 0 | 0 | 0 | 0 | 0/70
Slings | | 0 | 0 | 0 | 0 | 0/100
Bows | | 0 | 0 | 0 | 0 | 0/100
Crossbows | | 0 | 0 | 0 | 0 | 0/100
Throwing | X | 0 | 0 | 15 | 8699 | 316/1368
Armour | X | 0 | 0 | 27 | 42072 | 0/0
Dodging | X | 1 | 100 | 22 | 26441 | 1410/2970
Stealth | X | 0 | 0 | 1 | 121 | 21/200
Stabbing | X | 0 | 0 | 0 | 0 | 0/70
Shields | X | 0 | 0 | 27 | 42072 | 0/0
Traps | X | 0 | 0 | 10 | 6390 | 790/1300
Unarmed Combat | X | 0 | 0 | 27 | 29750 | 0/0
Spellcasting | X | 0 | 0 | 9 | 5383 | 32/1308
Conjurations | | 0 | 0 | 0 | 0 | 0/84
Hexes | | 0 | 0 | 0 | 0 | 0/100
Charms | | 0 | 0 | 0 | 0 | 0/100
Summonings | | 0 | 0 | 0 | 0 | 0/84
Necromancy | | 0 | 0 | 0 | 0 | 0/70
Translocations | | 0 | 0 | 0 | 0 | 0/84
Transmutations | | 0 | 0 | 0 | 0 | 0/84
Fire Magic | | 0 | 0 | 0 | 0 | 0/84
Ice Magic | | 0 | 0 | 0 | 0 | 0/84
Air Magic | | 0 | 0 | 0 | 0 | 0/100
Earth Magic | | 0 | 0 | 0 | 0 | 0/59
Poison Magic | | 0 | 0 | 0 | 0 | 0/84
Invocations | X | 0 | 0 | 4 | 850 | 256/297
Evocations | X | 0 | 0 | 17 | 13430 | 66/1909

Spell bugs:

Durations:
    0000044: 2000

Attributes:
    0000004: 1565429
    0000012: 11456
    0000013: 7295
    0000019: 171744
    0000023: 168110
    0000024: 1063395812
    #27: 4549726
    0000030: -5000

Mutations:
    0000003: 3
    0000044: 3
    0000048: 1
    0000062: 2
    0000064: 2
    0000066: 1
    0000074: 1
    0000079: 2
    0000083: 1
    0000088: 1

Demon mutations:
    0000003: 3
    0000044: 3
    0000048: 1
    0000062: 2
    0000064: 2
    0000066: 1
    0000079: 2

Inventory bugs:

Equipment:
    eq slot #1, inv slot 0000019: +2 cloak of preservation
    eq slot 0000002, inv slot #0: +2 hat of the Alchemist {rElec rF+ rC+ MR}
    eq slot 0000005, inv slot 0000014: +3 large shield of protection
    eq slot 0000006, inv slot 0000051: +12 gold dragon armour
    eq slot 0000007, inv slot 0000018: ring of Pnal {Hunger- +Rage rN+}
    eq slot 0000008, inv slot #21: +6,+5 ring of slaying
    eq slot 0000009, inv slot 0000047: amulet of clarity

}}}}}}}}}}}


Screenshot:
                #
               #. #
               .# .
               ......
 $# ### ### ###..
 ......##.###....
 ....... .#..##.# #
........#......## . .
  ######....##..# ##.
  #.....#.#... .## #..
  #.....@###..##.##.
  #.....#.#.#...#....##
  #.....#...##..#...##
  ######.##.###..... #
        . #.#. . ..#.
        ## ##.. . .#
              .#...#..
             ...# .. .
             ##.. .#. .
                ####

clua stack:


dlua stack:


Lua persistent data:
<<<<<<<<<<<<<<<<<<<<<<
bailey_type: bailey_axe
ice_cave_hard: true
slime_fixup_done: true
aquarium_serial_pool_size: 1
fix_slime_vaults: true
grunt_gauntlet_trap_triggered: true
>>>>>>>>>>>>>>>>>>>>>>

Lua marker contents:
<<<<<<<<<<<<<<<<<<<<<<
Lua marker 0 at (50, 57):
{{{{
CLASS: FogMachine
pow_min: 3
spread_buildup_time: 1
listeners:

spread_rate: -1
size_min: 2
size_max: 2
pow_max: 3
start_clouds: 1
dgn_trigs_by_type:
    1:
        1: 1

    32:
        1: 2


colour:
triggerers:
    1:
        CLASS: DgnTriggerer
        countdown: 80
        type: turn
        buildup_turns: 0
        sub_type: tick
        delay_min: 100
        method: dgn_event
        listener_only: true
        delay_max: 100

    2:
        CLASS: DgnTriggerer
        type: entered_level
        listener_only: false
        method: dgn_event


size_buildup_time: 1
tile:
kill_cat: other
activated: true
activating: false
excl_rad: -1
buildup_turns: 1
size_buildup_amnt: 0
name:
spread_buildup_amnt: 0
cloud_type: flame
props:

walk_dist: 1
pow_rolls: 3}}}}
Lua marker 1 at (50, 58):
{{{{
CLASS: FogMachine
pow_min: 3
spread_buildup_time: 1
listeners:

spread_rate: -1
size_min: 2
size_max: 2
pow_max: 3
start_clouds: 1
dgn_trigs_by_type:
    1:
        1: 1

    32:
        1: 2


colour:
triggerers:
    1:
        CLASS: DgnTriggerer
        countdown: 80
        type: turn
        buildup_turns: 0
        sub_type: tick
        delay_min: 100
        method: dgn_event
        listener_only: true
        delay_max: 100

    2:
        CLASS: DgnTriggerer
        type: entered_level
        listener_only: false
        method: dgn_event


size_buildup_time: 1
tile:
kill_cat: other
activated: true
activating: false
excl_rad: -1
buildup_turns: 1
size_buildup_amnt: 0
name:
spread_buildup_amnt: 0
cloud_type: flame
props:

walk_dist: 1
pow_rolls: 3}}}}
Lua marker 2 at (56, 62):
{{{{
CLASS: FogMachine
pow_min: 3
spread_buildup_time: 1
listeners:

spread_rate: -1
size_min: 2
size_max: 2
pow_max: 3
start_clouds: 1
dgn_trigs_by_type:
    1:
        1: 1

    32:
        1: 2


colour:
triggerers:
    1:
        CLASS: DgnTriggerer
        countdown: 55
        type: turn
        buildup_turns: 0
        sub_type: tick
        delay_min: 75
        method: dgn_event
        listener_only: true
        delay_max: 75

    2:
        CLASS: DgnTriggerer
        type: entered_level
        listener_only: false
        method: dgn_event


size_buildup_time: 1
tile:
kill_cat: other
activated: true
activating: false
excl_rad: -1
buildup_turns: 1
size_buildup_amnt: 0
name:
spread_buildup_amnt: 0
cloud_type: freezing vapour
props:

walk_dist: 1
pow_rolls: 3}}}}
Lua marker 3 at (57, 54):
{{{{
CLASS: FogMachine
pow_min: 3
spread_buildup_time: 1
listeners:

spread_rate: -1
size_min: 2
size_max: 2
pow_max: 3
start_clouds: 1
dgn_trigs_by_type:
    1:
        1: 1

    32:
        1: 2


colour:
triggerers:
    1:
        CLASS: DgnTriggerer
        countdown: 80
        type: turn
        buildup_turns: 0
        sub_type: tick
        delay_min: 100
        method: dgn_event
        listener_only: true
        delay_max: 100

    2:
        CLASS: DgnTriggerer
        type: entered_level
        listener_only: false
        method: dgn_event


size_buildup_time: 1
tile:
kill_cat: other
activated: true
activating: false
excl_rad: -1
buildup_turns: 1
size_buildup_amnt: 0
name:
spread_buildup_amnt: 0
cloud_type: flame
props:

walk_dist: 1
pow_rolls: 3}}}}
Lua marker 4 at (59, 60):
{{{{
CLASS: FogMachine
pow_min: 3
spread_buildup_time: 1
listeners:

spread_rate: -1
size_min: 2
size_max: 2
pow_max: 3
start_clouds: 1
dgn_trigs_by_type:
    1:
        1: 1

    32:
        1: 2


colour:
triggerers:
    1:
        CLASS: DgnTriggerer
        countdown: 55
        type: turn
        buildup_turns: 0
        sub_type: tick
        delay_min: 75
        method: dgn_event
        listener_only: true
        delay_max: 75

    2:
        CLASS: DgnTriggerer
        type: entered_level
        listener_only: false
        method: dgn_event


size_buildup_time: 1
tile:
kill_cat: other
activated: true
activating: false
excl_rad: -1
buildup_turns: 1
size_buildup_amnt: 0
name:
spread_buildup_amnt: 0
cloud_type: freezing vapour
props:

walk_dist: 1
pow_rolls: 3}}}}
Lua marker 5 at (60, 52):
{{{{
CLASS: FogMachine
pow_min: 3
spread_buildup_time: 1
listeners:

spread_rate: -1
size_min: 2
size_max: 2
pow_max: 3
start_clouds: 1
dgn_trigs_by_type:
    1:
        1: 1

    32:
        1: 2


colour:
triggerers:
    1:
        CLASS: DgnTriggerer
        countdown: 80
        type: turn
        buildup_turns: 0
        sub_type: tick
        delay_min: 100
        method: dgn_event
        listener_only: true
        delay_max: 100

    2:
        CLASS: DgnTriggerer
        type: entered_level
        listener_only: false
        method: dgn_event


size_buildup_time: 1
tile:
kill_cat: other
activated: true
activating: false
excl_rad: -1
buildup_turns: 1
size_buildup_amnt: 0
name:
spread_buildup_amnt: 0
cloud_type: flame
props:

walk_dist: 1
pow_rolls: 3}}}}
Lua marker 6 at (66, 56):
{{{{
CLASS: FogMachine
pow_min: 3
spread_buildup_time: 1
listeners:

spread_rate: -1
size_min: 2
size_max: 2
pow_max: 3
start_clouds: 1
dgn_trigs_by_type:
    1:
        1: 1

    32:
        1: 2


colour:
triggerers:
    1:
        CLASS: DgnTriggerer
        countdown: 55
        type: turn
        buildup_turns: 0
        sub_type: tick
        delay_min: 75
        method: dgn_event
        listener_only: true
        delay_max: 75

    2:
        CLASS: DgnTriggerer
        type: entered_level
        listener_only: false
        method: dgn_event


size_buildup_time: 1
tile:
kill_cat: other
activated: true
activating: false
excl_rad: -1
buildup_turns: 1
size_buildup_amnt: 0
name:
spread_buildup_amnt: 0
cloud_type: freezing vapour
props:

walk_dist: 1
pow_rolls: 3}}}}
Lua marker 7 at (66, 57):
{{{{
CLASS: FogMachine
pow_min: 3
spread_buildup_time: 1
listeners:

spread_rate: -1
size_min: 2
size_max: 2
pow_max: 3
start_clouds: 1
dgn_trigs_by_type:
    1:
        1: 1

    32:
        1: 2


colour:
triggerers:
    1:
        CLASS: DgnTriggerer
        countdown: 55
        type: turn
        buildup_turns: 0
        sub_type: tick
        delay_min: 75
        method: dgn_event
        listener_only: true
        delay_max: 75

    2:
        CLASS: DgnTriggerer
        type: entered_level
        listener_only: false
        method: dgn_event


size_buildup_time: 1
tile:
kill_cat: other
activated: true
activating: false
excl_rad: -1
buildup_turns: 1
size_buildup_amnt: 0
name:
spread_buildup_amnt: 0
cloud_type: freezing vapour
props:

walk_dist: 1
pow_rolls: 3}}}}
>>>>>>>>>>>>>>>>>>>>>>
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0022651)
mumra (developer)
2013-05-14 18:39

Thanks for reporting; I've fixed this in trunk and will cherry-pick to 0.12 for the next maintenance release.

The problem is that the branch depth table gets copied from your save file, but the stair placement routine checked a hardcoded value of 5 instead of looking in the table. So really, you shouldn't have been getting downstairs at all on Abyss:1 in a converted save.

- Issue History
Date Modified Username Field Change
2013-05-12 16:12 Konebred New Issue
2013-05-14 18:39 mumra Note Added: 0022651
2013-05-14 18:39 mumra Status new => resolved
2013-05-14 18:39 mumra Fixed in Branch => 0.13 development branch
2013-05-14 18:39 mumra Resolution open => done
2013-05-14 18:39 mumra Assigned To => mumra


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker